Show / Hide Table of Contents

# Class ExplicitProxyEndPoint

A proxy endpoint that the client is aware of. So client application know that it is communicating with a proxy server.

##### Inheritance

Object
ProxyEndPoint
ExplicitProxyEndPoint

##### Inherited Members

ProxyEndPoint.IpAddress
ProxyEndPoint.Port
ProxyEndPoint.DecryptSsl
ProxyEndPoint.GenericCertificate
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ExplicitProxyEndPoint : ProxyEndPoint

### Constructors

| Improve this Doc View Source

#### ExplicitProxyEndPoint(IPAddress, Int32, Boolean)

Constructor.

##### Declaration

    public ExplicitProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl = true)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress | Listening IP address.
Int32 | port | Listening port.
Boolean | decryptSsl | Should we decrypt ssl?

### Events

| Improve this Doc View Source

#### BeforeTunnelConnectRequest

Intercept tunnel connect request. Valid only for explicit endpoints. Set the DecryptSsl property to false if this HTTP connect request shouldn't be decrypted and instead be relayed.

##### Declaration

    public event AsyncEventHandler<TunnelConnectSessionEventArgs> BeforeTunnelConnectRequest

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<TunnelConnectSessionEventArgs> |

| Improve this Doc View Source

#### BeforeTunnelConnectResponse

Intercept tunnel connect response. Valid only for explicit endpoints.

##### Declaration

    public event AsyncEventHandler<TunnelConnectSessionEventArgs> BeforeTunnelConnectResponse

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<TunnelConnectSessionEventArgs> |